# AdSense Host API . accounts . adclients

## Instance Methods

Get information about one of the ad clients in the specified publisher's AdSense account.

List all hosted ad clients in the specified hosted account.

Retrieves the next page of results.

### Method Details

`get(accountId, adClientId)`

    Get information about one of the ad clients in the specified publisher's AdSense account.

    Args:
      accountId: string, Account which contains the ad client. (required)
      adClientId: string, Ad client to get. (required)

    Returns:
      An object of the form:

        {
        "productCode": "A String", # This ad client's product code, which corresponds to the PRODUCT_CODE report dimension.
        "kind": "adsensehost#adClient", # Kind of resource this is, in this case adsensehost#adClient.
        "id": "A String", # Unique identifier of this ad client.
        "arcOptIn": True or False, # Whether this ad client is opted in to ARC.
        "supportsReporting": True or False, # Whether this ad client supports being reported on.
      }

`list(accountId, pageToken=None, maxResults=None)`

    List all hosted ad clients in the specified hosted account.

    Args:
      accountId: string, Account for which to list ad clients. (required)
      pageToken: string, A continuation token, used to page through ad clients. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of ad clients to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through ad clients. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The ad clients returned in this list response.
          {
            "productCode": "A String", # This ad client's product code, which corresponds to the PRODUCT_CODE report dimension.
            "kind": "adsensehost#adClient", # Kind of resource this is, in this case adsensehost#adClient.
            "id": "A String", # Unique identifier of this ad client.
            "arcOptIn": True or False, # Whether this ad client is opted in to ARC.
            "supportsReporting": True or False, # Whether this ad client supports being reported on.
          },
        ],
        "kind": "adsensehost#adClients", # Kind of list this is, in this case adsensehost#adClients.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.